#include <vector>
#include <string>
#include <cstdio>
#include <iostream>
#include <fstream>

void dump_balances_csv(std::vector<int> balances, std::string name) {
    std::string csv_data = "Id,Balance\n";
    for (int i = 0; i < balances.size(); i++) {
        csv_data += std::to_string(i+1)+ "," + 
            std::to_string(balances[i]) + "\n";
    }
    std::ofstream file;
    file.open(name + ".csv");
    file << csv_data;
    file.close();
}

void dump_balances_and_ages_csv(std::vector<int> balances, std::vector<int> ages, std::string name) {
    assert(balances.size() == ages.size());
    std::string csv_data = "Id,Balance,Age\n";
    for (int i = 0; i < balances.size(); i++) {
        csv_data += std::to_string(i+1)+ "," +
            std::to_string(balances[i]) + "," +
            std::to_string(ages[i]) + "\n";
    }
    std::ofstream file;
    file.open(name + ".csv");
    file << csv_data;
    file.close();
}
