#include <cmath>

/**
 * @brief Logistic population growth
 * 
 * @param year 
 * @param N_o 
 * @param N_f 
 * @param k 
 * @param total_duration 
 * @return int 
 */
int logistic_population_func(int year, int N_o, int N_f, int k, int total_duration) {
    // https://en.wikipedia.org//wiki/Logistic_function
    return N_o + (N_f - N_o) / 
        (1 + exp(-k * (year - total_duration/2)));
}
